net.sf.okapi.common.pipelinedriver

## Class PipelineDriverUtils

- java.lang.Object
- - net.sf.okapi.common.pipelinedriver.PipelineDriverUtils

-     public class PipelineDriverUtils
      extends java.lang.Object

  Share code between the different `IPipelineDriver` implementations

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PipelineDriverUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assignRuntimeParameters(PipelineDriver driver, IPipelineStep step, IBatchItemContext item, java.util.List<ConfigurationParameter> pList)` Called from WorkQueuePipelineDriver
    `static void` | `assignRuntimeParameters(PipelineDriver driver, java.util.LinkedList<java.util.List<ConfigurationParameter>> paramList, IBatchItemContext item)` Called from `PipelineDriver`
    `static void` | `assignSingleRuntimeParameter(PipelineDriver driver, IPipelineStep currentStep, IBatchItemContext item, ConfigurationParameter p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PipelineDriverUtils

          public PipelineDriverUtils()

  - ### Method Detail

    - #### assignRuntimeParameters

          public static void assignRuntimeParameters(PipelineDriver driver,
                                     java.util.LinkedList<java.util.List<ConfigurationParameter>> paramList,
                                     IBatchItemContext item)

      Called from `PipelineDriver`
      Parameters:
        `driver` - - `IPipelineDriver` implementation
        `step` - - `IPipelineStep` to initialize
        `item` - - `IBatchItemContext` that has attributes
        `paramList` - - list of `ConfigurationParameter` for each step in the pipeline

    - #### assignSingleRuntimeParameter

          public static void assignSingleRuntimeParameter(PipelineDriver driver,
                                          IPipelineStep currentStep,
                                          IBatchItemContext item,
                                          ConfigurationParameter p)
                                                   throws java.lang.IllegalArgumentException,
                                                          java.lang.IllegalAccessException,
                                                          java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`

    - #### assignRuntimeParameters

          public static void assignRuntimeParameters(PipelineDriver driver,
                                     IPipelineStep step,
                                     IBatchItemContext item,
                                     java.util.List<ConfigurationParameter> pList)

      Called from WorkQueuePipelineDriver
      Parameters:
        `driver` - - `IPipelineDriver` implementation
        `step` - - `IPipelineStep` to initialize
        `item` - - `IBatchItemContext` that has attributes
        `pList` - - list of `ConfigurationParameter`